LDCONFIG(8)

NOM
/sbin/ldconfig - Configuration de l'éditeur de liens dynamiques

SYNOPSIS
/sbin/ldconfig [ -nNvXV ] [ -f configuration ] [ -C cache ] [ -r racine ] répertoire ...
/sbin/ldconfig -l [ -v ] bibliothèque ...
/sbin/ldconfig -p

DESCRIPTION
ldconfig crée les liens nécessaires et met en cache les bibliothèques partagées les plus récentes trouvées dans les répertoires indiqués sur la ligne de commande, dans le fichier /etc/ld.so.conf, et dans les répertoires sûrs (/lib et /usr/lib). Le cache est utilisé par le chargeur/éditeur de liens ld.so ou ld-linux.so. ldconfig vérifie les en-têtes et noms des fichiers des bibliothèques qu'il trouve pour déterminer les versions et mettre à jour les liens.

ldconfig essaye de déduire le type bibliothèque ELF (libc5 ou libc6/glibc) en se basant sur la bibliothèque C utilisée pour les liens de la bibliothèque.

Certaines bibliothèques existantes ne contiennent pas assez d'information pour déduire leur type. Ainsi, le format du fichier /etc/ld.so.conf permet d'indiquer le type attendu. Cela ne doit servir que pour les bibliothèques ELF qui ne fonctionnent pas sinon. Le format est « dirname=TYPE », où TYPE peut être libc4, libc5 ou libc6. (Cette syntaxe marche aussi sur la ligne de commande). Les espaces ne sont pas autorisés. Voir aussi l'option -p. Normalement ldconfig doit être lancé par le superutilisateur, car il peut avoir besoin de l'autorisation d'écriture sur certains fichiers appartenant à root.

OPTIONS

-v  Mode volubile. Affiche le numéro de version actuelle, le nom de chaque répertoire au fur et à mesure du parcours, et les liens qui sont créés. Peut surcharger le mode silencieux.

-n  Ne traiter que les répertoires indiqués sur la ligne de commande. Ne pas s'occuper des répertoires sûrs (/lib et /usr/lib) ni de ceux indiqués dans /etc/ld.so.conf. Implique l'option -N.

-N  Ne pas reconstruire le cache. Si l'option -X n'est pas indiquée, les liens sont quand même mis à jour.

-X  Ne pas mettre à jour les liens. Si l'option -N n'est pas indiquée, le cache est quand même reconstruit.

-f configuration
    Utiliser le fichier de configuration indiqué plutôt que /etc/ld.so.conf.

-C cache
    Utiliser le cache indiqué plutôt que /etc/ld.so.cache.

-r racine
    Se déplacer vers, et utiliser le répertoire racine indiqué.

-l  Mode bibliothèque. Lier manuellement les bibliothèques individuelles. Destiné seulement aux experts.

-p  Afficher la liste des répertoires et des bibliothèques potentielles enregistrées dans le cache actuel.

FICHIERS
/lib/ld.so
    chargeur/éditeur de liens dynamiques
/etc/ld.so.conf
    liste de répertoires où chercher les bibliothèques, séparés par des espaces, des virgules ou des deux-points.
/etc/ld.so.cache
    liste ordonnée des bibliothèques trouvées dans les répertoires indiqués dans /etc/ld.so.conf.

VOIR AUSSI
ldd(1), ld.so(8)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 25 juillet 2003 et révisée le 22 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 ldconfig ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.